package com.huimv.acquisition.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Data
@TableName("eartag_data")
public class EartagDataEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录id(主键)
     */
    @TableId
    private Integer id;
    private String deviceCode;
    private String eartagNo;
    private Date time;
    private double earTemp;
    private Integer exercise;
    private String pigpen;
    private Double envTemp;
    private Integer bat;
    private Integer rssi;
    private String head;
    private String command;
    private String version;
    private Integer frameSerialNo;
    private Integer rebootTimes;
    private Integer unitId;
    private String prepareField;
    private BigInteger orgId;
    private String chk;
    private String farmCode;
    private Integer stage;
    private Integer sportGap;
    private String tail;



}
