package com.huimv.acquisition.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.acquisition.entity.EartagDataEntity;
import com.huimv.acquisition.entity.vo.EartagDataVo;
import com.huimv.acquisition.entity.vo.EartagParamVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
@Mapper
@Repository
public interface EartagDataDao extends BaseMapper<EartagDataEntity> {

    IPage<EartagDataEntity> page(@Param("page") IPage<EartagDataEntity> page, @Param(Constants.WRAPPER) LambdaQueryWrapper<EartagDataEntity> wrapper);

    
    
    
    //传参page    还有查询参数
    IPage<EartagDataVo> pageIndex(@Param("page") IPage<EartagDataVo> page, @Param("eartagParamVo") EartagParamVo eartagParamVo);


    IPage<EartagDataEntity> listAllSell(@Param("page") Page<EartagDataEntity> page, @Param("pigpenId") Integer pigpenId);



}
