package com.huimv.eartag.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.eartag.entity.EartagData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2022-01-13
 */
@Mapper
public interface EartagDataMapper extends BaseMapper<EartagData> {

    List<EartagData> getTemp(@Param("page")Page<EartagData> iPage,  @Param(Constants.WRAPPER)QueryWrapper<EartagData> wrapper);

    List<EartagData> listAllSell();

}
