package com.huimv.eartag.utils;

import javax.servlet.http.HttpServletRequest;
import java.io.File;

/**
 * @author hi
 * @program: uni-java3
 * @description: 获取服务器访问地址
 * @date 2021-05-30 14:56:23
 */
public class ServerAddress {
    public static String  GetServerAddress(HttpServletRequest request){
        //可以返回当前页面使用的协议，http 或是 https;
        String scheme = request.getScheme();
        //可以返回当前页面所在的服务器的名字;
        String serverName = request.getServerName();
        //可以返回当前页面所在的服务器使用的端口,就是8080;
        int serverPort = request.getServerPort();
        String path = scheme+"://"+serverName+":"+serverPort+"/";
        return path;
    }
}