package com.huimv.eartag.controller;


import com.huimv.common.utils.Result;
import com.huimv.eartag.entity.BizSellPigApply;
import com.huimv.eartag.service.IBizSellPigApplyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author astupidcoder
 * @since 2022-03-01
 */
@RestController
@RequestMapping("/bizSellPigApply")
public class BizSellPigApplyController {

    @Autowired
    private IBizSellPigApplyService iBizSellPigApplyService;


    //售猪
    @PostMapping("/sellPigRecord")
    public Result sellPigRecord(@RequestBody Map<String,String> map){
      return   iBizSellPigApplyService.sellPigRecord(map);
    }

    @GetMapping("/sellPigRecordCollect")
    public Result sellPigRecordCollect(@RequestParam Integer farmId){
        return   iBizSellPigApplyService.sellPigRecordCollect(farmId);
    }

    @GetMapping("/sellPigRecordManage")
    public Result sellPigRecordManage(@RequestParam(name = "batchNo") String batchNo){
        return   iBizSellPigApplyService.sellPigRecordManage(batchNo);
    }

    @PostMapping("/update")
    public Result update(@RequestBody BizSellPigApply bizSellPigApply){
        iBizSellPigApplyService.updateById(bizSellPigApply);
        return  new Result(10000,"修改成功",true);
    }

    //检疫
    @GetMapping("/getInspecCollect")
    public Result getInspecCollect(@RequestParam(name = "farmId") String farmId){
        return   iBizSellPigApplyService.getInspecCollect(farmId);
    }

    @PostMapping("/getInspecRecord")
    public Result getInspecRecord(@RequestBody Map<String,String> map){
        return   iBizSellPigApplyService.getInspecRecord(map);
    }


    @PostMapping("/inspecCheck")
    public Result inspecCheck(@RequestBody Map<String,String> map){
        return   iBizSellPigApplyService.inspecCheck(map);
    }


    //屠宰
    @GetMapping("/getBatchCollect")
    public Result getBatchCollect(@RequestParam(name = "farmId") String farmId){
        return   iBizSellPigApplyService.getBatchCollect(farmId);
    }

    @PostMapping("/getBatchRecord")
    public Result getBatchRecord(@RequestBody Map<String,String> map){
        return   iBizSellPigApplyService.getBatchRecord(map);
    }


    @PostMapping("/batchCheck")
    public Result batchCheck(@RequestBody Map<String,String> map){
        return   iBizSellPigApplyService.batchCheck(map);
    }




}
