package com.huimv.eartag.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2022-03-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class BizNspection extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 批次编号
     */
    private String batchNo;

    /**
     * 在场检疫结果状态  0：未处理，1：正常，2：异常
     */
    private Integer firstInspecStatus;

    /**
     * 在场检疫结果
     */
    private String firstInspecResult;

    /**
     * 在场检疫时间
     */
    private LocalDateTime firstInspecTime;

    /**
     * 在场检疫自动上传数量
     */
    private Integer firstInspecAutoNum;

    /**
     * 在场检疫实际上传数量
     */
    private Integer firstInspecRealNum;

    /**
     * 屠宰检疫结果状态 0：未处理，1：正常，2：异常
     */
    private Integer secondInspecStatus;

    /**
     * 屠宰检疫结果
     */
    private String secondInspecResult;

    /**
     * 屠宰检疫时间
     */
    private LocalDateTime secondInspecTime;

    /**
     * 屠宰检疫自动上传数量
     */
    private Integer secondInspecAutoNum;

    /**
     * 屠宰检疫实际上传数量
     */
    private Integer secondInspecRealNum;

    /**
     * 运输车辆
     */
    private String plateNumber;


}
