package com.huimv.eartag.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class SellPig {

    private String eartagNos;




    private String batchNo;

    /**
     * 牧场id
     */
    private String farmId;

    /**
     * 卖猪时间
     */
    private Date sellTime;

    /**
     * 车牌号
     */
    private String plateNumber;

    /**
     * 自动上传耳标数量
     */
    private Integer autoEartagNum;

    /**
     * 手填数量
     */
    private Integer realEartagNum;

    /**
     * 记录状态  0:暂存 1：已提交 2：取消
     */
    private Integer recordStatus;

    /**
     * 检疫部门id
     */
    private String inspecOrgId;

    /**
     * 屠宰机构id
     */
    private String butcherOrgId;

    /**
     * 最终状态 1:允许销售,2:禁止销售，政府人员操作
     */
    private Boolean applyStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 提交时间
     */
    private Date applyTime;

    /**
     * 检验流程状态 0：未检验， 1:在场检验，2：屠宰检验
     */
    private Integer inspecFlowStatus;

    /**
     * 检疫类型  1：在场检验，2：屠宰场检验
     */
    private Integer inspecType;

}
