package com.huimv.eartag.service;

import com.huimv.common.utils.Result;
import com.huimv.eartag.entity.BizInspectionPhoto;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2022-03-03
 */
public interface IBizInspectionPhotoService extends IService<BizInspectionPhoto> {


    Result addInspection(HttpServletRequest request, MultipartFile[] files, String farmId,String batchNo,Integer inspecStatus,String inspecRremark,Integer inspecRealNum);

    Result addBatch(HttpServletRequest request, MultipartFile[] files, String farmId,String batchNo,Integer inspecStatus,String inspecRremark,Integer inspecRealNum);

    Result listPic(Map<String,String> map);
}
