package com.huimv.eartag.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.Result;
import com.huimv.eartag.entity.BizSellPigApply;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2022-03-01
 */
public interface IBizSellPigApplyService extends IService<BizSellPigApply> {


    Result sellPigRecord(Map<String,String>  map);

    Result sellPigRecordCollect(Integer farmId);

    Result sellPigRecordManage(String batchNo);

    Result getInspecCollect(String farmId);

    Result getInspecRecord(Map<String,String> map);

    Result inspecCheck(Map<String,String> map);

    Result getBatchCollect(String farmId);

    Result getBatchRecord(Map<String, String> map);

    Result batchCheck(Map<String, String> map);
}
