package com.huimv.eartag.utils;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class MyMvcConfig implements WebMvcConfigurer {
    
    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
        //配置静态资源访问路径

        //图片存放地址
        String path = "/opt/goldpig-huimv/img";
//      String path = "/home/imgupload/";
        registry.addResourceHandler("/image/**")
                .addResourceLocations("file:"+path);
    }
}